# Class StDBAuditSearch

java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,StDBAuditSearchParameters,List<StAuditEvent>>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<StDBAuditSearchParameters,List<StAuditEvent>>
com.io7m.stonesignal.server.database.StDBAuditSearch

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseQueryType<StDBAuditSearchParameters,List<StAuditEvent>>`, `StDBAuditSearchType`

public final class StDBAuditSearch extends StDatabaseQueryAbstract<StDBAuditSearchParameters,List<StAuditEvent>> implements StDBAuditSearchType
The audit-search query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `name()`
  `protected List<StAuditEvent>`
  `onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDBAuditSearchParameters search)`
  `static StDatabaseQueryProviderType<StDBAuditSearchParameters,List<StAuditEvent>,StDBAuditSearchType>`
  `provider()`

  ### Methods inherited from class com.io7m.stonesignal.server.database.StDatabaseQueryAbstract

  `attributes, context, context, objectMapper, onExecute, record`

  ### Methods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract

  `execute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.darco.api.DDatabaseQueryType

  `execute`

- ## Method Details

  - ### provider

    public static StDatabaseQueryProviderType<StDBAuditSearchParameters,List<StAuditEvent>,StDBAuditSearchType> provider()
    Returns:
      The query provider

  - ### onExecuteWithContext

    protected List<StAuditEvent> onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDBAuditSearchParameters search) throws Exception
    Specified by:
      `onExecuteWithContext` in class `StDatabaseQueryAbstract<StDBAuditSearchParameters,List<StAuditEvent>>`
    Throws:
      `Exception`

  - ### name

    protected String name()
    Specified by:
      `name` in class `StDatabaseQueryAbstract<StDBAuditSearchParameters,List<StAuditEvent>>`